Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[ERLEDIGT] Umstieg auf Leap 15.2

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Sauerland
Guru
Guru
Beiträge: 3957
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Umstieg auf Leap 15.2

Beitrag von Sauerland »

Code: Alles auswählen

i+ | libHalf-2_5-25                             | Paket   | 2.5.4-lp152.75.1                                | x86_64 | (Systempakete)
i+ | libIex-2_5-25                              | Paket   | 2.5.4-lp152.75.1                                | x86_64 | (Systempakete)
i+ | libIlmImf-2_5-25                           | Paket   | 2.5.4-lp152.75.1                                | x86_64 | (Systempakete)
i+ | libIlmThread-2_5-25                        | Paket   | 2.5.4-lp152.75.1                                | x86_64 | (Systempakete)
i+ | libImath-2_5-25                            | Paket   | 2.5.4-lp152.75.1                                | x86_64 | (Systempakete)
i+ | libavcodec58_91                            | Paket   | 4.3.1-lp152.166.1                               | x86_64 | (Systempakete)
i+ | libavformat58_45                           | Paket   | 4.3.1-lp152.166.1                               | x86_64 | (Systempakete)
i+ | libavutil56_51                             | Paket   | 4.3.1-lp152.166.1                               | x86_64 | (Systempakete)
i  | libcdio19                                  | Paket   | 2.1.0-lp152.72.1                                | x86_64 | (Systempakete)
i+ | libmaxflow0                                | Paket   | 3.0.5-lp152.3.1                                 | x86_64 | (Systempakete)
i+ | libmypaint-1_6-1                           | Paket   | 1.6.0-lp152.22.4                                | x86_64 | (Systempakete)
i  | libplacebo104                              | Paket   | 3.104.0-lp152.38.1                              | x86_64 | (Systempakete)
i+ | libpostproc55_7                            | Paket   | 4.3.1-lp152.166.1                               | x86_64 | (Systempakete)
i+ | libswresample3_7                           | Paket   | 4.3.1-lp152.166.1                               | x86_64 | (Systempakete)
i+ | libswscale5_7                              | Paket   | 4.3.1-lp152.166.1                               | x86_64 | (Systempakete)
i+ | libvmaf1                                   | Paket   | 2.1.0-lp152.13.1                                | x86_64 | (Systempakete)
i  | libwx_baseu-suse3_1_3                      | Paket   | 3.1.3-lp152.2.4                                 | x86_64 | (Systempakete)
i  | libwx_gtk2u_aui-suse3_1_3                  | Paket   | 3.1.3-lp152.2.4                                 | x86_64 | (Systempakete)
i  | libwx_gtk2u_core-suse3_1_3                 | Paket   | 3.1.3-lp152.2.4                                 | x86_64 | (Systempakete)
i+ | mesa-libGLU                                | Paket   | 0.0.1-lp152.6.3                                 | noarch | (Systempakete)
Die würde ich alle einmal löschen.
Aber nur, wenn es ohne Abhängigkeitskonfikte geht.
Desktop: OpenSUSE Leap 15.2, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.2, Intel-Skylake, Kernel 5.3
H1A
Member
Member
Beiträge: 138
Registriert: 26. Dez 2016, 15:24

Re: Umstieg auf Leap 15.2

Beitrag von H1A »

H1A
Member
Member
Beiträge: 138
Registriert: 26. Dez 2016, 15:24

Re: Umstieg auf Leap 15.2

Beitrag von H1A »

hallo sauerland,
wie kann ich das am einfachsten erledigen? das löschen von allen.....ja, da komm ich doch an grenzen....ich habe die angegebenen alle kopiert...aber dann...
Benutzeravatar
susejunky
Moderator
Moderator
Beiträge: 834
Registriert: 19. Sep 2014, 18:22

Re: Umstieg auf Leap 15.2

Beitrag von susejunky »

Hallo H1A,
H1A hat geschrieben: 27. Jan 2021, 13:01 https://www.bilder-hochladen.net/i/m87y-1-a6f1.jpg

das sind die installierten
und Du hast auch die zu MozillaFirefox-85.0-lp152.2.1 passenden libav* installiert?

Viele Grüße

susejunky
H1A
Member
Member
Beiträge: 138
Registriert: 26. Dez 2016, 15:24

Re: Umstieg auf Leap 15.2

Beitrag von H1A »

ich habe bei der installation von firefox noch nie händisch eingegriffen, das lief immer gut durch....wurde ja mit der install von 15.2 gemacht.
danach erst auf firefox 85 upgedatet.
Benutzeravatar
susejunky
Moderator
Moderator
Beiträge: 834
Registriert: 19. Sep 2014, 18:22

Re: Umstieg auf Leap 15.2

Beitrag von susejunky »

Hallo H1A,
H1A hat geschrieben: 27. Jan 2021, 13:24 ich habe bei der installation von firefox noch nie händisch eingegriffen, das lief immer gut durch....wurde ja mit der install von 15.2 gemacht.
danach erst auf firefox 85 upgedatet.
die zum Abspielen vieler Videos erforderlichen Codecs werden von openSUSE aus urheberrechtlichen Gründen nicht bereitgestellt/installiert (siehe https://en.opensuse.org/SDB:Firefox_MP4 ... eo_Support).

Das muss man manuell nachholen, indem man das Packman-Repository einbindet und die entsprechenden Pakete von dort installiert bzw. die dort angebotenen Varianten anstelle der von openSUSE installierten Pakete verwendet.

Packman bietet Pakete für openSUSE Leap und openSUSE Tumbleweed an. Du hast aber das Firefox-Paket aus dem Factory-Repository installiert. Woher Du die dafür passenden libav*-Pakete bekommst, kann ich Dir leider nicht sagen.

Viele Grüße

susejunky
H1A
Member
Member
Beiträge: 138
Registriert: 26. Dez 2016, 15:24

Re: Umstieg auf Leap 15.2

Beitrag von H1A »

hallo susejunky,
es liegt mir fern dich zu verbessern, aber lies bitte die 1. antwort nach meiner problemstellung hier....
genau das habe ich nach sauerlands anweisung gemacht....auf packman mit den codecs umgestellt.
Sauerland
Guru
Guru
Beiträge: 3957
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Umstieg auf Leap 15.2

Beitrag von Sauerland »

Poste mal:

Code: Alles auswählen

zypper se -si libav

Code: Alles auswählen

zypper se -si gstream
Desktop: OpenSUSE Leap 15.2, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.2, Intel-Skylake, Kernel 5.3
H1A
Member
Member
Beiträge: 138
Registriert: 26. Dez 2016, 15:24

Re: Umstieg auf Leap 15.2

Beitrag von H1A »

Code: Alles auswählen

zypper se -si libav
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S  | Name                    | Type  | Version           | Arch   | Repository
---+-------------------------+-------+-------------------+--------+--------------------------------
i+ | gstreamer-plugins-libav | Paket | 1.16.2-pm152.3.5  | x86_64 | Packman Repository
i+ | libavahi-client3        | Paket | 0.7-lp152.3.3.1   | x86_64 | Hauptaktualisierungs-Repository
i+ | libavahi-client3-32bit  | Paket | 0.7-lp152.3.3.1   | x86_64 | Hauptaktualisierungs-Repository
i+ | libavahi-common3        | Paket | 0.7-lp152.3.3.1   | x86_64 | Hauptaktualisierungs-Repository
i+ | libavahi-common3-32bit  | Paket | 0.7-lp152.3.3.1   | x86_64 | Hauptaktualisierungs-Repository
i+ | libavahi-core7          | Paket | 0.7-lp152.3.3.1   | x86_64 | Hauptaktualisierungs-Repository
i+ | libavahi-glib1          | Paket | 0.7-lp152.3.3.1   | x86_64 | Hauptaktualisierungs-Repository
i+ | libavc1394-0            | Paket | 0.5.4-lp152.3.5   | x86_64 | Haupt-Repository
i  | libavc1394-0-32bit      | Paket | 0.5.4-lp152.3.5   | x86_64 | Haupt-Repository
i+ | libavcodec57            | Paket | 3.4.8-pm152.2.1   | x86_64 | Packman Repository
i+ | libavcodec58            | Paket | 4.2.1-pm152.3.17  | x86_64 | Packman Repository
i+ | libavcodec58_91         | Paket | 4.3.1-lp152.166.1 | x86_64 | (Systempakete)
i+ | libavdevice57           | Paket | 3.4.8-pm152.2.1   | x86_64 | Packman Repository
i  | libavdevice58           | Paket | 4.2.1-pm152.3.17  | x86_64 | Packman Repository
i+ | libavfilter6            | Paket | 3.4.8-pm152.2.1   | x86_64 | Packman Repository
i  | libavfilter7            | Paket | 4.2.1-pm152.3.17  | x86_64 | Packman Repository
i+ | libavformat57           | Paket | 3.4.8-pm152.2.1   | x86_64 | Packman Repository
i  | libavformat58           | Paket | 4.2.1-pm152.3.17  | x86_64 | Packman Repository
i+ | libavformat58_45        | Paket | 4.3.1-lp152.166.1 | x86_64 | (Systempakete)
i+ | libavresample3          | Paket | 3.4.8-pm152.2.1   | x86_64 | Packman Repository
i  | libavresample4          | Paket | 4.2.1-pm152.3.17  | x86_64 | Packman Repository
i+ | libavutil55             | Paket | 3.4.8-pm152.2.1   | x86_64 | Packman Repository
i  | libavutil56             | Paket | 4.2.1-pm152.3.17  | x86_64 | Packman Repository
i+ | libavutil56_51          | Paket | 4.3.1-lp152.166.1 | x86_64 | (Systempakete)

Code: Alles auswählen

zypper se -si gstream
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S  | Name                               | Type  | Version               | Arch   | Repository
---+------------------------------------+-------+-----------------------+--------+--------------------------------
i+ | PackageKit-gstreamer-plugin        | Paket | 1.1.13-lp152.3.15.1   | x86_64 | Hauptaktualisierungs-Repository
i+ | gstreamer                          | Paket | 1.16.2-lp152.1.7      | x86_64 | Haupt-Repository
i  | gstreamer-32bit                    | Paket | 1.16.2-lp152.1.7      | x86_64 | Haupt-Repository
i+ | gstreamer-lang                     | Paket | 1.16.2-lp152.1.7      | noarch | Haupt-Repository
i  | gstreamer-libnice                  | Paket | 0.1.14-lp152.3.7      | x86_64 | Haupt-Repository
i  | gstreamer-plugin-cluttergst3       | Paket | 3.0.26-lp152.3.7      | x86_64 | Haupt-Repository
i+ | gstreamer-plugins-bad              | Paket | 1.16.2-pm152.4.1      | x86_64 | Packman Repository
i+ | gstreamer-plugins-bad-lang         | Paket | 1.16.2-pm152.4.1      | noarch | Packman Repository
i+ | gstreamer-plugins-bad-orig-addon   | Paket | 1.16.2-pm152.4.1      | x86_64 | Packman Repository
i+ | gstreamer-plugins-base             | Paket | 1.16.2-lp152.2.16     | x86_64 | Haupt-Repository
i+ | gstreamer-plugins-base-lang        | Paket | 1.16.2-lp152.2.16     | noarch | Haupt-Repository
i  | gstreamer-plugins-cogl             | Paket | 1.22.2-lp152.4.10     | x86_64 | Haupt-Repository
i+ | gstreamer-plugins-good             | Paket | 1.16.2-lp152.1.7      | x86_64 | Haupt-Repository
i+ | gstreamer-plugins-good-extra       | Paket | 1.16.2-lp152.1.7      | x86_64 | Haupt-Repository
i+ | gstreamer-plugins-good-extra-32bit | Paket | 1.16.2-lp152.1.7      | x86_64 | Haupt-Repository
i+ | gstreamer-plugins-good-gtk         | Paket | 1.16.2-lp152.1.7      | x86_64 | Haupt-Repository
i+ | gstreamer-plugins-good-lang        | Paket | 1.16.2-lp152.1.7      | noarch | Haupt-Repository
i+ | gstreamer-plugins-libav            | Paket | 1.16.2-pm152.3.5      | x86_64 | Packman Repository
i+ | gstreamer-plugins-ugly             | Paket | 1.16.2-pm152.2.5      | x86_64 | Packman Repository
i+ | gstreamer-plugins-ugly-lang        | Paket | 1.16.2-pm152.2.5      | noarch | Packman Repository
i+ | gstreamer-plugins-ugly-orig-addon  | Paket | 1.16.2-pm152.2.5      | x86_64 | Packman Repository
i+ | libgstreamer-1_0-0                 | Paket | 1.16.2-lp152.1.7      | x86_64 | Haupt-Repository
i  | libgstreamer-1_0-0-32bit           | Paket | 1.16.2-lp152.1.7      | x86_64 | Haupt-Repository
i+ | phonon4qt5-backend-gstreamer       | Paket | 4.10.0-lp152.1.7      | x86_64 | Haupt-Repository
i+ | phonon4qt5-backend-gstreamer-lang  | Paket | 4.10.0-lp152.1.7      | noarch | Haupt-Repository
i+ | vlc-codec-gstreamer                | Paket | 3.0.11.1-pm152.2.11.1 | x86_64 | Packman Repository
Sauerland
Guru
Guru
Beiträge: 3957
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Umstieg auf Leap 15.2

Beitrag von Sauerland »

Mal als root:

Code: Alles auswählen

zypper in gstreamer-plugins-bad-orig-addon
Desktop: OpenSUSE Leap 15.2, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.2, Intel-Skylake, Kernel 5.3
Sauerland
Guru
Guru
Beiträge: 3957
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Umstieg auf Leap 15.2

Beitrag von Sauerland »

Oops, gesehen, war ja schon da........

Firefox auch neu gestartet?
Desktop: OpenSUSE Leap 15.2, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.2, Intel-Skylake, Kernel 5.3
H1A
Member
Member
Beiträge: 138
Registriert: 26. Dez 2016, 15:24

Re: Umstieg auf Leap 15.2

Beitrag von H1A »

ja hab ich ebenfalls....keine änderung

Code: Alles auswählen

zypper in gstreamer-plugins-bad-orig-addon
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...
'gstreamer-plugins-bad-orig-addon' ist bereits installiert.
Kein Aktualisierungskandidat für 'gstreamer-plugins-bad-orig-addon-1.16.2-pm152.4.1.x86_64'. Die neueste Version ist bereits installiert.
Paketabhängigkeiten werden aufgelöst...
Keine auszuführenden Aktionen.
Sauerland
Guru
Guru
Beiträge: 3957
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Umstieg auf Leap 15.2

Beitrag von Sauerland »

Hast du es mal mit einem neuen Firefox Profil versucht?
Desktop: OpenSUSE Leap 15.2, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.2, Intel-Skylake, Kernel 5.3
H1A
Member
Member
Beiträge: 138
Registriert: 26. Dez 2016, 15:24

Re: Umstieg auf Leap 15.2

Beitrag von H1A »

nein...d.h. ich lösche den firefox und installiere ihn neu?
Benutzeravatar
manzek
Hacker
Hacker
Beiträge: 355
Registriert: 20. Mär 2005, 14:21
Wohnort: Metropolregion Bremen/Oldenburg

Re: Umstieg auf Leap 15.2

Beitrag von manzek »

H1A hat geschrieben: 27. Jan 2021, 15:59 nein...d.h. ich lösche den firefox und installiere ihn neu?
Nein, im Ordner

Code: Alles auswählen

/home/$user$/.mozilla/firefox/
findest du den Namen der aktuell verwendeten Profildatei.
Diese Profildatei sowie die profile.ini einfach umbenennen und Firefox neustarten.
Da FF kein Profil findet, legt er ein neues Profil an.
So long, Stephan

---
Gigabyte AORUS MASTER X570 * AMD Ryzen 3900XT @ 4,0 GHz * 128 GB DDR4 @ 3200 MHz * nVIDIA GeForce RTX 2070 SUPER, 8192 MB * 23,6" - LED @ 1920x1080 * openSUSE Leap 15.2 * KDE 5.18.x
H1A
Member
Member
Beiträge: 138
Registriert: 26. Dez 2016, 15:24

Re: Umstieg auf Leap 15.2

Beitrag von H1A »

sieht die datei so aus?

ich habe unter /home/******/ mozilla 2x firefox ordner....sind versteckte daten

file:///home/*****/.mozilla/firefox/avd7tahd.default-esr78
file:///home/*****/.mozilla/firefox/Crash Reports
file:///home/*****/.mozilla/firefox/i9ologpj.default-esr78-1
file:///home/*****/.mozilla/firefox/n3e1vdk6.default-esr78-2
file:///home/*****/.mozilla/firefox/Pending Pings


file:///home/*****/.mozilla/firefox---/Crash Reports
file:///home/*****/.mozilla/firefox---/lpfsf96p.default
file:///home/*****/.mozilla/firefox---/Pending Pings
file:///home/*****/.mozilla/firefox---/qx8fa9r5.default-esr78
file:///home/*****/.mozilla/firefox---/tjbomehj.default-release
file:///home/*****/.mozilla/firefox---/v76j1hvc.default-esr78-1
admine
Administrator
Administrator
Beiträge: 8914
Registriert: 15. Feb 2004, 21:13

Re: Umstieg auf Leap 15.2

Beitrag von admine »

Es sollte in deinem "firefox"-Verzeichnis eine "profiles.ini" geben. In dieser steht u.a. so etwas drin:

Code: Alles auswählen

[Profile0]
Name=14389z5n.default
IsRelative=1
Path=7kaw3nvb.default-1507027609749
Default=1
Das Verzeichnis, welches bei Path angegeben wird, ist dein aktuelles Profil.
Dieses Verzeichnis und das File "profiles.ini" umbenennen. Dann legt dir FF beim nächsten Neustart ein neues Profil an.
Grüße
-------------------------
..:: Deutsche Mugge ::..
-------------------------
Benutzeravatar
manzek
Hacker
Hacker
Beiträge: 355
Registriert: 20. Mär 2005, 14:21
Wohnort: Metropolregion Bremen/Oldenburg

Re: Umstieg auf Leap 15.2

Beitrag von manzek »

H1A hat geschrieben: 27. Jan 2021, 16:25 ich habe unter /home/******/ mozilla 2x firefox ordner....sind versteckte daten

file:///home/*****/.mozilla/firefox/avd7tahd.default-esr78

[...]

file:///home/*****/.mozilla/firefox---/Crash Reports
Vergleiche mal die Ordnernamen :/
So long, Stephan

---
Gigabyte AORUS MASTER X570 * AMD Ryzen 3900XT @ 4,0 GHz * 128 GB DDR4 @ 3200 MHz * nVIDIA GeForce RTX 2070 SUPER, 8192 MB * 23,6" - LED @ 1920x1080 * openSUSE Leap 15.2 * KDE 5.18.x
H1A
Member
Member
Beiträge: 138
Registriert: 26. Dez 2016, 15:24

Re: Umstieg auf Leap 15.2

Beitrag von H1A »

den unterschied hab ich auch bemerkt....aber welches ist alt und welches neu....ich denke mal das mit den---
habe soeben jetzt ein neues profil angelegt und auf einer seite video test gemacht....das gleiche wieder, geht nicht.
hab dann eine 2. seite zum testen öffnen wollen und da war dann zappenduster....komplt. festgefahren, keine tasteneingabe mehr möglich, nur noch der ein-aus hat geholfen.

habe jetzt das alte profil wieder umbenannt, daß ich wieder schreiben kann. aber immer noch den fehler...
Benutzeravatar
Heinz-Peter
Guru
Guru
Beiträge: 2357
Registriert: 24. Okt 2005, 14:04

Re: Umstieg auf Leap 15.2

Beitrag von Heinz-Peter »

Ich habe einen Vorschlag.
Einen neuen Benutzer anlegen und hier Firefox testen.
Falls Firefox unter dem neuen User funktioniert dann einfach vergleichen.

Vielleicht hat aber jemand eine bessere Idee.
Man sollte viel häufiger einen Mutausbruch haben.
BS: Suse13.2/Ubuntu16.04LTS/Ubuntu18.04LTS/Leap15.2/Win, Prozessor: Pentium 4 550 (3,40 GHz, FSB800, Hyper-Threading) & Intel i3-7100U 2,4GHz, Grafikkarte: Nvidia Geforce 6610XL & Intel HD 620.
Antworten